# Copyright 2014 Red Hat, Inc.
# All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

# The content of this file will be used to generate
# the puppet manifests for all roles, the placeholder
# controller will be replaced by 'controller', 'blockstorage',
# 'cephstorage' and all the deployed roles.

if hiera('step') >= 4 {
  hiera_include('controller_classes', [])
}

$package_manifest_name = join(['/var/lib/tripleo/installed-packages/overcloud_controller', hiera('step')])
package_manifest{$package_manifest_name: ensure => present}

# NOTE(gfidente): ensure deprecated package manifest is absent, can be removed after Pike
$absent_package_manifest_name = join(['/var/lib/tripleo/installed-packages/overcloud_controller_pacemaker', hiera('step')])
package_manifest{$absent_package_manifest_name: ensure => absent}
include ::tripleo::trusted_cas

include ::tripleo::profile::base::ceph::mon




include ::tripleo::profile::base::cinder::api

include ::tripleo::profile::base::cinder::backup::ceph
include ::tripleo::profile::pacemaker::cinder::backup
include ::tripleo::profile::base::cinder::scheduler

include ::tripleo::profile::pacemaker::cinder::volume





include ::tripleo::profile::base::kernel
include ::tripleo::profile::base::keystone

include ::tripleo::profile::base::glance::api

include ::tripleo::profile::base::heat::api

include ::tripleo::profile::base::heat::api_cfn

include ::tripleo::profile::base::heat::api_cloudwatch

include ::tripleo::profile::base::heat::engine

include ::tripleo::profile::pacemaker::database::mysql

include ::tripleo::profile::base::database::mysql::client
include tripleo::profile::base::neutron::dhcp

include tripleo::profile::base::neutron::l3

include tripleo::profile::base::neutron::metadata

include tripleo::profile::base::neutron::server

include ::tripleo::profile::base::neutron::plugins::ml2

include ::tripleo::profile::base::neutron::ovs

include ::tripleo::profile::pacemaker::rabbitmq
include ::tripleo::profile::pacemaker::haproxy


include ::tripleo::profile::base::memcached

include ::tripleo::profile::base::pacemaker

include ::tripleo::profile::pacemaker::database::redis
include tripleo::profile::base::nova::conductor

include ::tripleo::profile::base::database::mongodb

include tripleo::profile::base::nova::api

include tripleo::profile::base::nova::placement


include tripleo::profile::base::nova::scheduler

include tripleo::profile::base::nova::consoleauth

include tripleo::profile::base::nova::vncproxy


include ::tripleo::profile::base::time::ntp
include ::tripleo::profile::base::swift::proxy

include ::tripleo::profile::base::swift::storage

include ::tripleo::profile::base::swift::ringbuilder
include ::tripleo::profile::base::snmp

include ::tripleo::profile::base::sshd
include ::timezone
include ::tripleo::profile::base::ceilometer::api

include ::tripleo::profile::base::ceilometer::collector

include ::tripleo::profile::base::ceilometer::expirer
include ::tripleo::profile::base::ceilometer::agent::central

include ::tripleo::profile::base::ceilometer::agent::notification

include ::tripleo::profile::base::horizon

include ::tripleo::profile::base::gnocchi::api

include ::tripleo::profile::base::gnocchi::metricd

include ::tripleo::profile::base::gnocchi::statsd







include tripleo::profile::base::aodh::api

include tripleo::profile::base::aodh::evaluator

include tripleo::profile::base::aodh::notifier

include tripleo::profile::base::aodh::listener

include ::tripleo::profile::base::sahara::api

include ::tripleo::profile::base::sahara::engine




include ::tripleo::packages

include ::tripleo::firewall







include tripleo::profile::base::panko::api












